Pular para o conteúdo principal
GET
/
api
/
v1
/
authentication
/
api-key
/
scoped
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;

var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

var res = await sdk.Auth.ApiKeys.ListAsync();

// handle response
[
  {
    "id": "<string>",
    "userId": "<string>",
    "orgId": "<string>",
    "teamId": "<string>",
    "scopes": [
      "<string>"
    ],
    "name": "<string>",
    "key": "<string>",
    "prefix": "<string>",
    "start": "<string>",
    "expiresAt": "<string>"
  }
]

Autorizações

Authorization
string
header
obrigatório

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Cabeçalhos

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parâmetros de consulta

orgId
string
teamId
string

Resposta

Chaves de propriedade do chamador

id
string
obrigatório
userId
string
obrigatório
userType
enum<string>
obrigatório
Opções disponíveis:
user,
service-account
orgId
string | null
obrigatório
teamId
string | null
obrigatório
scopes
string[]
obrigatório
name
string | null
key
string
prefix
string | null
start
string | null
expiresAt
string | null